Pipeline CRM Real Time Events
List of Events Supported by Pipeline CRM
| Event ID | Support | Notes |
|---|---|---|
crm_accounts_new | Yes | |
crm_accounts_modified | Yes | |
crm_accounts_deleted | Yes | |
crm_contacts_new | Yes | |
crm_contacts_modified | Yes | |
crm_contacts_deleted | Yes | |
crm_deals_new | Yes | |
crm_deals_modified | Yes | |
crm_deals_deleted | Yes | |
crm_leads_new | Yes | |
crm_leads_modified | Yes | |
crm_leads_deleted | Yes | |
crm_engagements_new | No | |
crm_engagements_modified | No | |
crm_custom_objects_new | No | |
crm_custom_objects_modified | No |
Subscribe to Pipeline CRM Real Time Events
To subscribe to real time events in Hubspot, you can use the Subscribe to Real Time Events API. A cURL for the same would look like:
curl --location 'https://api.getknit.dev/v1.0/events.subscribe' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--data '{
"events": [
"crm_accounts_new",
"crm_accounts_modified",
"crm_contacts_new",
"crm_contacts_modified"
]
}'Knit will automatically register the webhooks in your Pipeline CRM account so that you and your user do not have to perform any additional steps.
Updated about 3 hours ago
